package com.chinaitop.depot.intelligent.grainsituation.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.chinaitop.depot.intelligent.grainsituation.model.TTestdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataExample;

public interface TTestdataMapper {
    int countByExample(TTestdataExample example);

    int deleteByExample(TTestdataExample example);

    int insert(TTestdata record);

    int insertSelective(TTestdata record);

    List<TTestdata> selectByExample(TTestdataExample example);

    int updateByExampleSelective(@Param("record") TTestdata record, @Param("example") TTestdataExample example);

    int updateByExample(@Param("record") TTestdata record, @Param("example") TTestdataExample example);


    void insertBatch(List<TTestdata> testData);

    List<TTestdata> getList(Map map);

    List<TTestdata> getByCfCdoes(Map<String, Object> mapDate);

    /**
     * 时实数据查询列表,查询最新数据
     * @param map
     * @return
     */
    List<TTestdata> getNewest(Map<String, Object> map);

    List<TTestdata> getById(@Param("id") String id);

    String getOrgId (@Param("cfCode") String cfCode);

    /**
     * 点粮情
     * @param map
     * @return
     */
    List<Map<String,Object>> getGrainPointAll(Map<String, Object> map);
    /**
     * 根据id获取温度表格
     * @param id
     */
    TTestdata findByTempTable(@Param("id") String id);
}